%define		status		alpha
%define		pearname	Validate_Finance
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Validation class for finance
Summary(pl.UTF-8):	%{pearname} - Klasa sprawdzająca poprawność dla finansów
Name:		php-pear-%{pearname}
Version:	0.5.6
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	4abf83a0bdb2d5cf3f0b54996617c33a
URL:		http://pear.php.net/package/Validate_Finance/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.2.0
Requires:	php-pear >= 4:1.0-4
Requires:	php-pear-PEAR-core >= 1:1.4.0
Requires:	php-pear-Validate >= 0.5.0
Obsoletes:	php-pear-Validate_Finance-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package to validate Finance data. It includes:
- IBAN

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności danych finansowych. Dotyczy to:
- numerów IBAN

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/*.php
%{php_pear_dir}/Validate/Finance/*.php
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Validate_Finance.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 288bcbe
- up to 0.5.6

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 089720e
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 85efff2
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 2d16f37
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 87294d1
- updated to: 0.5.5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 6066bee
- rel 2

* Thu Jul 05 2007 Elan Ruusamäe <glen@pld-linux.org> 78d3feb
- update to 0.5.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 40ade6b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d0a3243
- converted to UTF-8

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> eed000e
- updated to 0.5.3

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6d5890b
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> f4f8106
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 266bf53
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 8bb1f55
- group Development/Languages/PHP for -tests

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> 1b899f4
- pearize

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> e8c69a3
- define Epoch to 0 explicitly when using it

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 9bcabb3
- new pear packaging

* Wed Jul 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 2625db6
- pl fixes

* Tue Jul 26 2005 Adam Gołębiowski <adamg@pld-linux.org> 8f53ede
- new

